FROM ruby:2.6-alpine3.9
MAINTAINER Darin London <darin.london@duke.edu>

ARG CI_COMMIT_SHA=unspecified
LABEL git_commit=${CI_COMMIT_SHA}

ARG CI_PROJECT_URL=unspecified
LABEL git_repository_url=${CI_PROJECT_URL}

LABEL io.openshift.s2i.scripts-url=image:///usr/libexec/s2i
LABEL name 'duke-ruby'
LABEL version '2.6-alpine3.9'
LABEL release '1'
LABEL architecture 'x86_64'
LABEL distribution-scope 'public'
LABEL authoritative-source-url 'https://gitlab.oit.duke.edu/community-supported-resources/duke-ruby'

ARG CI_COMMIT_SHA=unspecified
LABEL git_commit=${CI_COMMIT_SHA}

ARG CI_PROJECT_URL=unspecified
LABEL git_repository_url=${CI_PROJECT_URL}

ENV APP_PATH /usr/src/app
WORKDIR ${APP_PATH}

# Setup generic home directory since OKD will give us a random UID
RUN mkdir -p ${APP_PATH} && \
    chgrp 0 ${APP_PATH} && \
    chmod g+w ${APP_PATH}
ENV HOME=${APP_PATH}

RUN apk add --no-cache --update \
        build-base \
        linux-headers \
        bash \
        dumb-init \
        curl \
        jq \
        git \
        yarn \
        sqlite-dev \
        postgresql-dev \
        mariadb-dev \
        tzdata

# Copy in s2i scripts
COPY ./s2i/bin /usr/libexec/s2i

ENTRYPOINT ["/usr/bin/dumb-init", "--"]
